BEGIN KIDOJ

IF ~Global("kidohistory","GLOBAL",1)~ THEN BEGIN needexplanation
  SAY @0 
  IF ~~ THEN REPLY @1 DO ~SetGlobal("kidohistory","GLOBAL",2)~ GOTO trytoshort
  IF ~~ THEN REPLY @2 DO ~SetGlobal("kidohistory","GLOBAL",2)~ GOTO trytoshort
  IF ~~ THEN REPLY @3 DO ~SetGlobal("kidohistory","GLOBAL",2)~ GOTO tale
  IF ~~ THEN REPLY @4 DO ~SetGlobal("kidohistory","GLOBAL",2)~ GOTO quickend
END

IF ~~ THEN BEGIN trytoshort
  SAY @5
  IF ~~ THEN REPLY @6 GOTO tale
  IF ~CheckStatGT(PLAYER1,12,CHR)~ THEN REPLY @7 GOTO extraversion
END

IF ~~ THEN BEGIN tale
  SAY @8
  =
  @9
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN extraversion
  SAY @10
  IF ~~ THEN REPLY @11 GOTO conextraversion
END

IF ~~ THEN BEGIN conextraversion
  SAY @12
  IF ~~ THEN REPLY @13 GOTO tale
END

IF ~~ THEN BEGIN quickend
  SAY @14
  IF ~~ THEN EXIT
END

IF ~Global("weareone","GLOBAL",1)~ THEN BEGIN childofcyrica
  SAY @15 
  IF ~~ THEN REPLY @16 DO ~SetGlobal("weareone","GLOBAL",2)~ GOTO difopinion
  IF ~~ THEN REPLY @17 DO ~SetGlobal("weareone","GLOBAL",2)~ GOTO greypath
  IF ~~ THEN REPLY @18 DO ~SetGlobal("weareone","GLOBAL",2)~ GOTO cheerus
  IF ~~ THEN REPLY @19 DO ~SetGlobal("weareone","LOCALS",1)~ GOTO knowalot
  IF ~~ THEN REPLY @20 DO ~SetGlobal("weareone","GLOBAL",2)~ GOTO childofcyric
END

IF ~~ THEN BEGIN knowalot
  SAY @21
  IF ~~ THEN REPLY @22 GOTO difopinion
  IF ~~ THEN REPLY @23 GOTO greypath
  IF ~~ THEN REPLY @24 GOTO cheerus
  IF ~~ THEN REPLY @25 GOTO childofcyric
END

IF ~~ THEN BEGIN difopinion
  SAY @26
  IF ~~ THEN REPLY @27 GOTO angryend
  IF ~~ THEN REPLY @28 GOTO greypath 
END

IF ~~ THEN BEGIN greypath
  SAY @29
  IF ~~ THEN REPLY @30 GOTO angryend
  IF ~~ THEN REPLY @31 GOTO comeback 
  IF ~~ THEN REPLY @32 GOTO cheerus
END

IF ~~ THEN BEGIN cheerus
  SAY @33
  IF ~~ THEN REPLY @34 GOTO happyend
  IF ~~ THEN REPLY @35 GOTO childofcyrice
END

IF ~~ THEN BEGIN childofcyric
  SAY @36
  IF ~~ THEN REPLY @37 GOTO difopinion
  IF ~~ THEN REPLY @38 GOTO greypath
  IF ~~ THEN REPLY @39 GOTO myfate
  IF ~~ THEN REPLY @40 GOTO happyend
  IF ~~ THEN REPLY @41 GOTO okayend
END

IF ~~ THEN BEGIN childofcyrice
  SAY @42
  IF ~~ THEN REPLY @43 GOTO okayend
  IF ~~ THEN REPLY @44 GOTO happyend
END

IF ~~ THEN BEGIN myfate
  SAY @45
  IF ~~ THEN REPLY @46 GOTO difopinion 
  IF ~~ THEN REPLY @47 GOTO greypath 
  IF ~~ THEN REPLY @48 GOTO okayend
  IF ~~ THEN REPLY @49 GOTO okayend
  IF ~~ THEN REPLY @50 GOTO happyend
  IF ~CheckStatGT(PLAYER1,12,INT)~ THEN REPLY @51 GOTO detail
END

IF ~~ THEN BEGIN detail
  SAY @52
  IF ~~ THEN REPLY @53 GOTO difopinion
  IF ~~ THEN REPLY @54 GOTO comeback
  IF ~~ THEN REPLY @55 GOTO okayend 
END

IF ~~ THEN BEGIN angryend
  SAY @56
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN comeback
  SAY @57
  IF ~~ THEN REPLY @58 DO ~SetGlobal("Undecided","GLOBAL",1)~ EXIT
END

IF ~~ THEN BEGIN okayend
  SAY @59
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN happyend
  SAY @60
  IF ~~ THEN EXIT
END

IF ~Global("secweareone","GLOBAL",1)~ THEN BEGIN retryconvincepl
  SAY @61 
  IF ~~ THEN REPLY @62 DO ~SetGlobal("secweareone","GLOBAL",2)~ GOTO difopinionnew
  IF ~~ THEN REPLY @63 DO ~SetGlobal("secweareone","GLOBAL",2)~ GOTO kidoquit
  IF ~~ THEN REPLY @64 DO ~SetGlobal("secweareone","GLOBAL",2)~ GOTO cheerus
END

IF ~~ THEN BEGIN difopinionnew
  SAY @65
  IF ~~ THEN REPLY @66 GOTO angryend
  IF ~~ THEN REPLY @67 GOTO kidoquit
  IF ~~ THEN REPLY @68 GOTO cheerus
END

IF ~~ THEN BEGIN kidoquit
  SAY @69
  IF ~~ THEN EXIT
END

IF ~Global("plansunfold","GLOBAL",1)~ THEN BEGIN spoketomuch
  SAY @70 
  IF ~~ THEN REPLY @71 DO ~SetGlobal("plansunfold","GLOBAL",2)~ GOTO rapidend
  IF ~~ THEN REPLY @72 DO ~SetGlobal("plansunfold","GLOBAL",2)~ GOTO rapidend
  IF ~~ THEN REPLY @73 DO ~SetGlobal("plansunfold","GLOBAL",2)~ GOTO nearlythere
  IF ~CheckStatGT(PLAYER1,12,INT)~ THEN REPLY @74 DO ~SetGlobal("plansunfold","GLOBAL",2)~ GOTO examination
  IF ~Class(Player1,CLERIC)~ THEN REPLY @75 DO ~SetGlobal("plansunfold","GLOBAL",2)~ GOTO clericpath
END

IF ~~ THEN BEGIN nearlythere 
  SAY @76
  IF ~~ THEN REPLY @77 GOTO pleasure
  IF ~~ THEN REPLY @78 GOTO unpleasant 
  IF ~CheckStatGT(PLAYER1,12,CHR)~ THEN REPLY @79 GOTO morethere
END

IF ~~ THEN BEGIN morethere
  SAY @80
  IF ~~ THEN REPLY @81 GOTO unpleasant 
  IF ~~ THEN REPLY @82 GOTO pleasure 
  IF ~~ THEN REPLY @83 GOTO nonono 
END

IF ~~ THEN BEGIN examination
  SAY @84
  IF ~~ THEN REPLY @85 GOTO murder
  IF ~~ THEN REPLY @86 GOTO murder
END

IF ~~ THEN BEGIN clericpath
  SAY @87
  IF ~~ THEN REPLY @88 GOTO murder
  IF ~~ THEN REPLY @89 GOTO kidoagenda
END

IF ~~ THEN BEGIN murder
  SAY @90
  IF ~~ THEN REPLY @91 GOTO kidoagenda
  IF ~~ THEN REPLY @92 GOTO kidoagenda
  IF ~~ THEN REPLY @93 GOTO diechild
END

IF ~~ THEN BEGIN kidoagenda
  SAY @94
  IF ~~ THEN REPLY @95 GOTO diechild
  IF ~~ THEN REPLY @96 GOTO diebhaal
  IF ~~ THEN REPLY @97 GOTO diebhaal
END

IF ~~ THEN BEGIN diebhaal
  SAY @98
  IF ~~ THEN REPLY @99 GOTO kidosad 
  IF ~~ THEN REPLY @100 GOTO kidohappy 
END

IF ~~ THEN BEGIN rapidend
  SAY @101
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN pleasure
  SAY @102
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN unpleasant
  SAY @103
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN nonono
  SAY @104
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN diechild
  SAY @105
  IF ~~ THEN DO ~Attack(Player1)~ EXIT
END

IF ~~ THEN BEGIN kidosad
  SAY @106 
  IF ~~ THEN DO ~LeaveParty() EscapeArea()~ EXIT
END

IF ~~ THEN BEGIN kidohappy
  SAY @107
  IF ~~ THEN EXIT
END

IF ~Global("nonicestage","GLOBAL",1)~ THEN BEGIN kidonolikehell
  SAY @108 
  IF ~~ THEN DO ~SetGlobal("nonicestage","GLOBAL",2)~ EXIT
END

IF ~Global("finalconKaAn","GLOBAL",1)~ THEN BEGIN lastquabAnjo
 SAY @109 
  IF ~~ THEN REPLY @110 DO ~SetGlobal("finalconKaAn","GLOBAL",2)~ GOTO ihearyaplay
  IF ~~ THEN REPLY @111 DO ~SetGlobal("finalconKaAn","GLOBAL",2)~ GOTO ihearyaplay
  IF ~~ THEN REPLY @112 DO ~SetGlobal("finalconKaAn","GLOBAL",2)~ GOTO ihearyaplay
  IF ~~ THEN REPLY @113 DO ~SetGlobal("finalconKaAn","GLOBAL",2)~ EXTERN KidoP 0
  IF ~!Gender(Player1,MALE)~ THEN REPLY @114 DO ~SetGlobal("finalconKaAn","GLOBAL",2)~ GOTO dieplayer
END

IF ~~ THEN BEGIN dieplayer
  SAY @115
  IF ~~ THEN DO ~Attack(Player1)~ EXIT
END

IF ~~ THEN BEGIN ihearyaplay
  SAY @116
  IF ~~ THEN EXIT
END

IF ~InParty("Player1")
  See("Player1")
  !StateCheck("Player1",STATE_SLEEPING)~ THEN BEGIN notthatlore
  SAY @117
  IF ~~ THEN REPLY @118 EXTERN GORMAD 16
  IF ~~ THEN REPLY @119 EXTERN GORMAD 16
  IF ~~ THEN REPLY @120 EXTERN GORMAD 17
END

EXTEND_TOP GORCAR 18 #3
IF ~InParty("DKido") See("DKido")~ 
THEN REPLY @121 EXTERN KIDOJ notthatlore
END

CHAIN
IF ~See("Quayle") Global("KidoQuayle","LOCALS",1) InParty("Aerie") See("Aerie")~
THEN KIDOJ quayle1
 @122 DO ~SetGlobal("KidoQuayle","LOCALS",2)~
 == QUAYLE
 @123
 == KIDOJ
 @124
 =
 @125
 == AERIEJ 
 @126
 == KIDOJ
 @127
 == QUAYLE
 @128
 == KIDOJ
@129 DO ~MovetoPoint([355.498])~
EXIT

CHAIN
IF ~See("Quayle") Global("KidoQuayle","LOCALS",1) !InParty("Aerie")~
THEN KIDOJ quayle1
 @122 DO ~SetGlobal("KidoQuayle","LOCALS",2)~
 == QUAYLE
 @130
 == KIDOJ
@131
EXIT

INTERJECT DCLERIC 0 HiDolf
 == KIDOJ IF ~InParty("DKido") See("DKido")~ THEN
 @132
END DCLERIC 4

I_C_T SCJERLIA 0 Penagainstore
 == KIDOJ IF ~InParty("DKido") See("DKido")~ THEN
 @133
END

I_C_T FFCUST06 0 Justtobesure
 == KIDOJ IF ~InParty("DKido") See("DKido")~ THEN
 @134
 == FFCUST06 IF ~InParty("DKido") See("DKido")~ THEN
 @135
 == KIDOJ IF ~InParty("DKido") See("DKido")~ THEN
 @136
END

I_C_T FFBART 0 BurpsaysbyeKido
 == FFBART IF ~InParty("DKido") See("DKido")~ THEN
 @137
 =
 @138
 == KIDOJ IF ~InParty("DKido") See("DKido")~ THEN
 @139
 == FFBART IF ~InParty("DKido") See("DKido")~ THEN
 @140
 == KIDOJ IF ~InParty("DKido") See("DKido")~ THEN
 @141
 == FFBART IF ~InParty("DKido") See("DKido")~ THEN
 @142
END

EXTEND_BOTTOM RAELIS 37
IF ~InParty("DKido") See("DKido") See("Raelis")~ THEN EXTERN KIDOJ nowishrefund
END

CHAIN
IF ~InParty("DKido") !Dead("DKido")~ THEN KIDOJ nowishrefund
 @143
 == RAELIS
 @144
 == KIDOJ
 @145
 == RAELIS
 @146
END
 IF ~OR(3) !Global("QuayleJob","GLOBAL",1) !InParty("Aerie") !See("Aerie")~ THEN REPLY @147 EXTERN RAELIS 38
 IF ~OR(3) !Global("QuayleJob","GLOBAL",1) !InParty("Aerie") !See("Aerie")~ THEN REPLY @148 EXTERN RAELIS 39
 IF ~Global("QuayleJob","GLOBAL",1) !Dead("quaylem") !Dead("quayle") InParty("Aerie") See("Aerie")~ THEN REPLY @149 EXTERN AERIEJ 209
 IF ~Global("QuayleJob","GLOBAL",1) OR(2) Dead("quaylem") Dead("quayle") InParty("Aerie") See("Aerie")~ THEN REPLY @149 EXTERN AERIEJ 210

I_C_T FFBIFF01 9 cheerupbiff
 == KIDOJ IF ~InParty("DKido") See("DKido")~ THEN
 @150
 == FFBIFF01
 @151
 == KIDOJ
 @152
 == FFBIFF01
 @153
END

I_C_T RUMAR 0 Kscarsrumar
 == KIDOJ IF ~InParty("DKido") See("DKido")~ THEN
 @154
 == RUMAR
 @155
END

INTERJECT TIANA 0 KspillsofR
 == KIDOJ IF ~Global("Kscarsrumar","GLOBAL",1) InParty("DKido") See("DKido")~ THEN
 @156
COPY_TRANS TIANA 5

I_C_T2 RUMAR 10 itsnotenough
 == KIDOJ IF ~InParty("DKido") See("DKido")~ THEN
 @157
END

I_C_T2 PRISS 7 Kfoundfun
 == KIDOJ IF ~InParty("DKido") See("DKido")~ THEN
 @158
END

INTERJECT SEVBAR01 18 nomagebardinhere
 == KIDOJ IF ~InParty("DKido") See("DKido")~ THEN
 @159
 == VICONIJ IF ~InParty("Viconia") See("Viconia")~ THEN
 @160
 == KIDOJ IF ~InParty("Viconia") See("Viconia")~ THEN
 @161
 == EDWINJ IF ~InParty("Viconia") See("Viconia") InParty("Edwin") See("Edwin")~ THEN
 @162
 == SEVDRU01
 @163
COPY_TRANS SEVBAR01 19

I_C_T UHMAN01 0 Itisawitch
 == KIDOJ IF ~InParty("DKido") !Dead("DKido")~ THEN
 @164
 == UHMAY01
 @165
 == KIDOJ
 @166
 == UHMAN01
 @167
 == KIDOJ
 @168
END

I_C_T UHMAY01 18 stwiumar
 == KIDOJ IF ~InParty("DKido") See("DKido")~ THEN
 @169
END

INTERJECT FIRTRL01 1 Notfoodtoday
 == KIDOJ IF ~InParty("DKido") See("DKido")~ THEN
 @170
END FIRTRL01 4

I_C_T FIRKRA02 21 Iamagainstafight
 == KIDOJ IF ~InParty("DKido") See("DKido")~ THEN
 @171
END

INTERJECT AELOTUS 3 Loveforlotus
 == KIDOJ IF ~InParty("DKido") See("DKido")~ THEN
 @172
 =
 @173
 == AESOLD
 @174
COPY_TRANS AESOLD 4

INTERJECT GARRICK 10 reallypathetic
 == KIDOJ IF ~InParty("DKido") See("DKido")~ THEN
 @175
COPY_TRANS TCADRIL 6

INTERJECT GARRICK 15 againpathetic
 == KIDOJ IF ~InParty("DKido") See("DKido")~ THEN
 @176
 == GARRICK
 @177
 == KIDOJ
 @178
 == GARRICK
 @179
COPY_TRANS TCADRIL 8

INTERJECT GARRICK 17 whisperofdisapproval
 == KIDOJ IF ~InParty("DKido") See("DKido")~ THEN
 @180
COPY_TRANS TCYRANDO 9

I_C_T2 TCYRANDO 11 byeCANDG
 == KIDOJ IF ~InParty("DKido") See("DKido")~ THEN
 @181
END

I_C_T2 VVMADMAN 6 explainVV
 == KIDOJ IF ~InParty("DKido") See("DKido")~ THEN
 @182
END

INTERJECT ANOMENJ 232 roflol
 == KIDOJ IF ~InParty("DKido") See("DKido") !InParty("Jan") !InParty("Yoshimo") !InParty("Korgan")~ THEN
 @183 DO ~ActionOverride("DKido",PlayDead(15))~
COPY_TRANS ANOMENJ 234

I_C_T ANOMENJ 234 noroflol
 == KIDOJ IF ~Global("roflol","LOCALS",0) InParty("DKido") See("DKido")~ THEN
 @184
END

INTERJECT BHOISIG 16 labiel
 == KIDOJ IF ~InParty("DKido") See("DKido")~ THEN
 @185
 == BHOISIG
 @186
 == KIDOJ
 @187
 == BHOISIG
 @188
 == KIDOJ
 @189
COPY_TRANS BHOISIG 17

I_C_T ACOLYTE1 0 Whichisthebestgod
 == KIDOJ IF ~InParty("DKido") See("DKido")~ THEN
 @190
 == ACOLYTE1
 @191
 == KIDOJ
 @192
 == ACOLYTE1
 @193
 == KIDOJ
 @194
 =
 @195
 == ACOLYTE1
 @196
 ==  KIDOJ
 @197
END

I_C_T SPOILED1 5 afrnottod
 == KIDOJ IF ~InParty("DKido") See("DKido")~ THEN
 @198
END

INTERJECT WELLYN 3 Unexpectednice
 == KIDOJ IF ~InParty("DKido") See("DKido")~ THEN
 @199
COPY_TRANS WELLYN 7

INTERJECT WELLYN 9 Givingbackbear
 == KIDOJ IF ~PartyHasItem("MISC5L") InParty("DKido") See("DKido")~ THEN
 @200
COPY_TRANS WELLYN 10

I_C_T2 MOURNER6 6 YeahokayIguess
 == KIDOJ IF ~InParty("DKido") See("DKido")~ THEN
 @201
END

I_C_T NEEBER 6 firstfrustration
 == KIDOJ IF ~InParty("DKido") See("DKido")~ THEN
 @202
END

I_C_T NEEBER 7 secfrustration
 == KIDOJ IF ~InParty("DKido") See("DKido")~ THEN
 @203
END

I_C_T NEEBER 12 thirdfrustration
 == KIDOJ IF ~InParty("DKido") See("DKido")~ THEN
 @204
END

I_C_T NEEBER 15 lastfrustration
 == KIDOJ IF ~InParty("DKido") See("DKido")~ THEN
 @205 DO ~ActionOverride("DKido",Attack("neeber"))~
END

INTERJECT PPSAEM 58 displpow
 == KIDOJ IF ~InParty("DKido") See("DKido")~ THEN
 @206
COPY_TRANS PPSAEM 59

INTERJECT PPDUELC 0 ohgoodaduel
 == KIDOJ IF ~InParty("DKido") See("DKido")~ THEN
 @207
 == KORGANJ IF ~InParty("Korgan") See("Korgan")~ THEN
 @208
COPY_TRANS PPDUEL1 2 

EXTEND_TOP PPDESH 12 #3
IF ~InParty("DKido") See("DKido") InParty("Yoshimo")~
THEN REPLY @209 EXTERN KIDOJ yoshtryrecon
END

EXTEND_TOP PPDESH 19 #3
IF ~InParty("DKido") See("DKido") InParty("Yoshimo")~
THEN REPLY @210 EXTERN KIDOJ yoshtryrecon
END

CHAIN
IF ~InParty("Player1")
  See("Player1")
  !StateCheck("Player1",STATE_SLEEPING)~ THEN KIDOJ yoshtryrecon
  @211
 == YOSHJ IF ~InParty("DKido") See("DKido") InParty("Yoshimo")~ THEN
 @212
END
 IF ~~ THEN REPLY @213 EXTERN KIDOJ kidogotgridea
 IF ~~ THEN REPLY @214 EXTERN YOSHJ 121

EXTEND_TOP PPDESH 12 #3
IF ~InParty("DKido") See("DKido") !InParty("Yoshimo")~
THEN REPLY @209 EXTERN KIDOJ kidogotgridea
END

EXTEND_TOP PPDESH 19 #3
IF ~InParty("DKido") See("DKido") !InParty("Yoshimo")~
THEN REPLY @210 EXTERN KIDOJ kidogotgridea
END

CHAIN
IF ~InParty("Player1")
  See("Player1")
  !StateCheck("Player1",STATE_SLEEPING)~ THEN KIDOJ kidogotgridea
@215
=
@216
=
@217
 == PPDESH
 @218
 == KIDOJ
 @219
 == PPDESH
 @220
 == KIDOJ
 @221
END PPDESH 17

I_C_T PPAPHRIL 12 pillarofskulls
 == KIDOJ IF ~InParty("DKido") See("DKido")~ THEN
 @222
 =
 @223
 =
 @224
END

I_C_T PPAPHRIL 8 sheseesSigil
 == KIDOJ IF ~InParty("DKido") See("DKido") InParty("HaerDalis")~ THEN
 @225
 == HAERDAJ
 @226
END

I_C_T PPAPHRIL 8 sheseesSigil2
 == KIDOJ IF ~InParty("DKido") See("DKido") !InParty("HaerDalis")~ THEN
 @227
END

I_C_T PPAPHRIL 5 niceburgaler
 == KIDOJ IF ~InParty("DKido") See("DKido")~ THEN
 @228
END 

I_C_T PPDILI 4 niceandscary
 == KIDOJ IF ~InParty("DKido") See("DKido")~ THEN
 @229
 =
 @230
END 

I_C_T PPIRENI2 31 lovelymadnot
 == KIDOJ IF ~InParty("DKido") See("DKido")~ THEN
 @231
END

INTERJECT LYROS 11 kidocousinxzar
 == KIDOJ IF ~InParty("DKido") See("DKido")~ THEN
 @232
 == JAHEIRAJ IF ~InParty("Jaheira") See("Jaheira")~ THEN
 @233
 == EDWINJ IF ~InParty("Edwin") See("Edwin")~ THEN
 @234
 == LYROS
 @235
 == KIDOJ
 @236
 == LYROS
 @237
 == KIDOJ
 @238
END LYROS 19

I_C_T UDDROW09 1 heisadeaddrow
 == KIDOJ IF ~InParty("DKido") See("DKido")~ THEN
 @239 
END

I_C_T VICONIJ 134 actuallymorenames
 == KIDOJ IF ~InParty("DKido") See("DKido") InParty("Viconia")~ THEN
 @240
 == VICONIJ
 @241
 == KIDOJ
 @242
END

I_C_T SAHPR1 1 whynotdeadyet
 == KIDOJ IF ~InParty("DKido") See("DKido") !InParty("Viconia")~ THEN
 @243 
END

I_C_T SAHPR1 53 madisntbad
 == KIDOJ IF ~InParty("DKido") See("DKido")~ THEN
 @244 
END

INTERJECT UDSOLA01 25 calledillithid
 == KIDOJ IF ~InParty("DKido") See("DKido") !Gender(Player1,FEMALE)~ THEN
 @245
 == UDSOLA01
 @246
COPY_TRANS UDSOLA01 30

INTERJECT UDSOLA01 25 calledillithid2
 == KIDOJ IF ~InParty("DKido") See("DKido") Gender(Player1,FEMALE)~ THEN
 @245
 == UDSOLA01
 @247
 == VICONIJ IF ~InParty("Viconia")~ THEN
 @248
 == KIDOJ IF ~InParty("Viconia")~ THEN
 @249
 == UDSOLA01 IF ~InParty("Viconia")~ THEN
 @250
 == UDSOLA01
 @251
 =
 @252
COPY_TRANS UDSOLA01 30

I_C_T HELLJON 7 Lastperformance
 == KIDOJ IF ~InParty("DKido") See("DKido")~ THEN
 @253 
END

I_C_T HELLJON 8 Lastperformance
 == KIDOJ IF ~InParty("DKido") See("DKido")~ THEN
 @253
END

I_C_T HELLJON 9 Lastperformance
 == KIDOJ IF ~InParty("DKido") See("DKido")~ THEN
 @253
END

I_C_T HELLJON 10 Lastperformance
 == KIDOJ IF ~InParty("DKido") See("DKido")~ THEN
 @253
END

I_C_T BODHI 11 Niceofferithink
 == KIDOJ IF ~InParty("DKido") See("DKido")~ THEN
 @254
END

I_C_T IMOEN2 22 Funturnofevents
 == KIDOJ IF ~InParty("DKido") See("DKido")~ THEN
 @255
END

I_C_T YOSHJ 113 Knewit
 == KIDOJ IF ~InParty("DKido") See("DKido")~ THEN
 @256
END

I_C_T GORMAD1 8 scaryakkman
 == KIDOJ IF ~InParty("DKido") See("DKido")~ THEN
 @257
 == GORMAD1
 @258 DO ~RunAwayFrom(LastTalkedToBy,30)~
 == KIDOJ
 @259
END

I_C_T GORCAR 4 Lumthemad
 == KIDOJ IF ~InParty("DKido") See("DKido")~ THEN
 @260
END

I_C_T PLAYER1 16 Aintover
 == KIDOJ IF ~InParty("DKido") See("DKido")~ THEN
 @261
END

EXTEND_BOTTOM PLAYER1 33
IF ~InParty("DKido") See("DKido") Global("AskKidoalong","GLOBAL",0)~ THEN DO ~SetGlobal("AskKidoalong","GLOBAL",1)~ GOTO PlayeraskKido
END

APPEND PLAYER1
IF ~~ PlayeraskKido
SAY @262
IF ~~ THEN REPLY @263 EXTERN KidoJ ascommanded 
IF ~~ THEN REPLY @264 EXTERN KidoJ nomissfinal 
IF ~~ THEN REPLY @265 EXTERN KidoJ noprobplay
END
END

APPEND KidoJ
IF ~~ THEN BEGIN ascommanded
SAY @266
IF ~~ GOTO endofirenicus
END

IF ~~ THEN BEGIN nomissfinal
SAY @267
IF ~~ GOTO endofirenicus
END

IF ~~ THEN BEGIN noprobplay
SAY @268
IF ~~ GOTO endofirenicus
END

IF ~~ THEN BEGIN endofirenicus
SAY @269
COPY_TRANS PLAYER1 33
END
END
